#ifndef _RANDOM_HORSE
#define _RANDOM_HORSE

#include "../shareddata.h"
#include "../horse.h"
#include "../random.h"

class RandomHorse : public Horse
{
	public:
		virtual int move(SharedData& sh)
		{
			while (1)
			{
				int k = rndInt(5);
				if (sh.isValidHorseMove(k))
					return k;
			}
		}
};

#endif
